<?php
global $wpdb, $wp_query, $mlwQuizMasterNext;
$quizObj = get_queried_object();
$leaderboard = get_query_var('leaderboard', 0);
if (!empty($leaderboard) && !empty($quizObj)) {
	$quiz_id = get_post_meta($quizObj->ID, 'quiz_id', true);
	$prepare_quiz = $mlwQuizMasterNext->pluginHelper->prepare_quiz($quiz_id);
	$al_data = $mlwQuizMasterNext->pluginHelper->get_quiz_setting("adv_leaderboard");
	$total_results = $wpdb->get_var("SELECT COUNT(`result_id`) FROM `{$wpdb->prefix}mlw_results` WHERE `quiz_id`='{$quiz_id}' AND `deleted`='0'");
	?>
	<!doctype html>
	<html lang="en">
		<head>
			<meta charset="utf-8">
			<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
			<script type="text/javascript">var al_ajaxurl = '<?php echo admin_url('admin-ajax.php') ?>';</script>
			<!-- Bootstrap CSS -->
			<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css" integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk" crossorigin="anonymous">

			<title><?php _e('Leaderboard', 'qsm-advanced-leaderboard')?></title>
			<style type="text/css"></style>
			<?php wp_enqueue_script('jquery');?>
			<?php wp_head(); ?>
		</head>
		<body>
			<div class="container-fluid">
				<div class="row vh-100 align-items-center justify-content-center">
					<div class="col-md-4 col-11 text-center">
						<div class="card">
							<div class="card-body leaderboard-box">
								<?php if (isset($al_data['show_position_limit']) && $total_results >= intval($al_data['show_position_limit'])): ?>
									<h5 class="card-title mb-4"><?php _e( 'Find Your Position', 'qsm-advanced-leaderboard' ); ?></h5>
									<form action="#" method="post" class="leaderboard-form">
										<div class="form-group text-left mb-0">
											<label for="useremail"><?php _e( 'Email address', 'qsm-advanced-leaderboard' ); ?> </label>
										</div>
										<div class="input-group mb-3">
											<input type="email" id="useremail" name="useremail" placeholder="<?php _e( 'Your Email Address', 'qsm-advanced-leaderboard' ); ?>" class="form-control" required autofocus aria-describedby="get-leaderboard-position">
											<div class="input-group-append">
												<button class="btn btn-primary" type="submit" id="get-leaderboard-position"><?php _e( 'Submit', 'qsm-advanced-leaderboard' ); ?></button>
											</div>
										</div>
									</form>
								<?php else: ?>
									<h5 class="card-title mb-4"><?php _e( 'No position info available right now. Please try again later.', 'qsm-advanced-leaderboard' );?></h5>
								<?php endif; ?>
							</div>
						</div>
					</div>
				</div>
			</div>
			<script type="text/javascript">
				jQuery(document).on('submit', 'form.leaderboard-form', function () {
					var $form = jQuery(this);
					var email = $form.find('#useremail').val();
					var quiz_id = '<?php echo $quiz_id;?>';
					jQuery('.leaderboard-box').css('opacity', '0.5');
					jQuery.ajax({
						type: 'POST',
						url: al_ajaxurl,
						data: {action: 'find_leaderboard_position', email: email, quiz_id:quiz_id},
						success: function (response) {
							jQuery('.leaderboard-box').html(response);
							jQuery('.leaderboard-box').css('opacity', '1');
						},
						error: function (errorThrown) {
							alert(errorThrown);
						}
					});
					return false;
				});
				jQuery(document).on('click', '.reload-form', function () {
					location.reload();
					return false;
				});
			</script>
			<?php wp_footer(); ?>
		</body>
	</html>
	<?php
}